curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/battery" \
-H "Authorization: Bearer {token}" \
-X "GET"
battery = vehicle.request(
"GET",
"{make}/battery"
)
const battery = await vehicle.request(
"GET",
"{make}/battery"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/battery")
.build();
VehicleResponse battery = vehicle.request(request);
battery = vehicle.request(
"GET",
"{make}/battery"
)
{
"heaterOn": null,
"maxRangeChargeCounter" : null,
"notEnoughPowerToHeat" : true,
"percentRemaining": 0.3,
"percentRemainingUsable" : 0.29,
"range": 40.5,
"rangeEstimated": 39.01,
"rangeIdeal" : 40.5
}
Tesla
Tesla: Battery Status
Returns all battery related data for a Tesla vehicle.
GET
/
v2.0
/
vehicles
/
{id}
/
{make}
/
battery
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/battery" \
-H "Authorization: Bearer {token}" \
-X "GET"
battery = vehicle.request(
"GET",
"{make}/battery"
)
const battery = await vehicle.request(
"GET",
"{make}/battery"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/battery")
.build();
VehicleResponse battery = vehicle.request(request);
battery = vehicle.request(
"GET",
"{make}/battery"
)
{
"heaterOn": null,
"maxRangeChargeCounter" : null,
"notEnoughPowerToHeat" : true,
"percentRemaining": 0.3,
"percentRemainingUsable" : 0.29,
"range": 40.5,
"rangeEstimated": 39.01,
"rangeIdeal" : 40.5
}
This endpoint is currently available for
teslaThe following fields are not supported for streaming vehicles:
- TeslaBatteryPercentRemainingUsable
- TeslaBatteryMaxRangeChargeCounter
Permission
read_battery
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/battery" \
-H "Authorization: Bearer {token}" \
-X "GET"
battery = vehicle.request(
"GET",
"{make}/battery"
)
const battery = await vehicle.request(
"GET",
"{make}/battery"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/battery")
.build();
VehicleResponse battery = vehicle.request(request);
battery = vehicle.request(
"GET",
"{make}/battery"
)
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
Response
number | null
The EV’s state of charge as a percentage.
number | null
The distance the vehicle can travel powered by it’s high voltage battery.
bool | null
Indicates if the battery heater is on.
number | null
The estimated remaining distance the vehicle can travel powered by it’s high voltage battery as determined by Tesla.
number | null
The ideal remaining distance the vehicle can travel powered by it’s high voltage battery as determined by Tesla.
number | null
The EV’s useable state of charge as a percentage as reported by Tesla.
number | null
The number of times the vehicle has been charged to 100% as reported by Tesla.
bool | null
Indicates if there is enough power to heat the battery.
{
"heaterOn": null,
"maxRangeChargeCounter" : null,
"notEnoughPowerToHeat" : true,
"percentRemaining": 0.3,
"percentRemainingUsable" : 0.29,
"range": 40.5,
"rangeEstimated": 39.01,
"rangeIdeal" : 40.5
}
Was this page helpful?

